GyotoUtils.h File Reference

GYOTO utilities. More...

`#include "GyotoDefs.h"`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.

## Functions

void | Gyoto::debug (int mode)
| Set debug mode.
int | Gyoto::debug ()
| Get debug mode.
void | Gyoto::verbose (int mode)
| Set verbosity level.
int | Gyoto::verbose ()
| Get verbosity level.
void | Gyoto::convert (double *const x, const std::size_t nelem, const double mass_sun, const double distance_kpc, const std::string unit)
| Convert lengths (deprecated).
double | Gyoto::atof (const char *str)
| Interpret C string as double.
void | Gyoto::help (std::string class_name)
| Print help on class.
std::vector< std::string > | Gyoto::split (std::string const &src, std::string const &delim)
| Split string.
double | Gyoto::bessi0 (double xx)
| Bessel function computation.
double | Gyoto::bessi1 (double xx)
| Modified Bessel function I1.
double | Gyoto::bessk0 (double xx)
| Modified Bessel function K0.
double | Gyoto::bessk1 (double xx)
| Modified Bessel function K1.
double | Gyoto::bessk (int nn, double xx)
| Modified Bessel function.
double | Gyoto::hypergeom (double kappaIndex, double thetae)
| Gauss hypergeometric 2F1 term for kappa-distribution synchrotron.
void | Gyoto::cartesianToSpherical (double const cpos[3], double spos[3])
| Tranform from Cartesian 3-position to spherical 3-position.
void | Gyoto::sphericalToCartesian (double const spos[3], double cpos[3])
| Tranform from spherical 3-position to Cartesian 3-position.
void | Gyoto::matrix4Invert (double ARGOUT_ARRAY2[4][4], double const IN_ARRAY2[4][4])
| Invert 4x4 matrix.
void | Gyoto::matrix4CircularInvert (double ARGOUT_ARRAY2[4][4], double const IN_ARRAY2[4][4])
| Invert 4x4 circular spacetime metric.

## Detailed Description

GYOTO utilities.

Various utilities